### Hierarchy

- Container
  - ContainerWithCulling

## Index

### Properties

- _accessibleActive
- _accessibleDiv
- _bounds
- _cacheAsBitmap
- _cacheAsBitmapDestroy
- _cacheAsBitmapResolution
- _cacheData
- _calculateCachedBounds
- _destroyCachedDisplayObject
- _getCachedLocalBounds
- _initCachedDisplayObject
- _initCachedDisplayObjectCanvas
- _lastSortedIndex
- _localBounds
- _mask
- _renderCached
- _renderCachedCanvas
- _trackedPointers
- accessible
- accessibleChildren
- accessibleHint
- accessiblePointerEvents
- accessibleTitle
- accessibleType
- alpha
- buttonMode
- cacheAsBitmap
- cacheAsBitmapResolution
- children
- containerUpdateTransform
- cull
- cursor
- displayObjectUpdateTransform
- filterArea
- filters
- getGlobalPosition
- hitArea
- interactive
- interactiveChildren
- isMask
- isSprite
- name
- parent
- renderId
- renderable
- sortDirty
- sortableChildren
- tabIndex
- trackedPointers
- transform
- visible
- worldAlpha

### Accessors

- angle
- height
- localTransform
- mask
- pivot
- position
- rotation
- scale
- skew
- width
- worldTransform
- worldVisible
- x
- y
- zIndex

### Methods

- addChild
- addChildAt
- addListener
- calculateBounds
- destroy
- disableTempParent
- emit
- enableTempParent
- eventNames
- getBounds
- getChildAt
- getChildByName
- getChildIndex
- getLocalBounds
- listenerCount
- listeners
- off
- on
- once
- removeAllListeners
- removeChild
- removeChildAt
- removeChildren
- removeListener
- render
- renderCanvas
- setChildIndex
- setParent
- setTransform
- sortChildren
- swapChildren
- toGlobal
- toLocal
- updateTransform

## Properties

### Optional _accessibleActive

_accessibleActive: boolean

Inherited from PIXI.Container._accessibleActive

- Defined in node_modules/@pixi/accessibility/index.d.ts:192

### Optional _accessibleDiv

_accessibleDiv: IAccessibleHTMLElement

Inherited from PIXI.Container._accessibleDiv

- Defined in node_modules/@pixi/accessibility/index.d.ts:193

### _bounds

_bounds: Bounds

Inherited from PIXI.Container._bounds

- Defined in node_modules/@pixi/display/index.d.ts:594

### Optional _cacheAsBitmap

_cacheAsBitmap: boolean

Inherited from PIXI.Container._cacheAsBitmap

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:7

### Optional _cacheAsBitmapDestroy

_cacheAsBitmapDestroy: (options?: boolean | IDestroyOptions) => void

Inherited from PIXI.Container._cacheAsBitmapDestroy

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:16

#### Type declaration

- - (options?: boolean | IDestroyOptions): void

  - #### Parameters

    - ##### Optional options: boolean | IDestroyOptions

    #### Returns void

### Optional _cacheAsBitmapResolution

_cacheAsBitmapResolution: number

Inherited from PIXI.Container._cacheAsBitmapResolution

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:6

### Optional _cacheData

_cacheData: CacheData

Inherited from PIXI.Container._cacheData

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:8

### Optional _calculateCachedBounds

_calculateCachedBounds: () => void

Inherited from PIXI.Container._calculateCachedBounds

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:11

#### Type declaration

- - (): void

  - #### Returns void

### Optional _destroyCachedDisplayObject

_destroyCachedDisplayObject: () => void

Inherited from PIXI.Container._destroyCachedDisplayObject

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:15

#### Type declaration

- - (): void

  - #### Returns void

### Optional _getCachedLocalBounds

_getCachedLocalBounds: () => Rectangle

Inherited from PIXI.Container._getCachedLocalBounds

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:12

#### Type declaration

- - (): Rectangle

  - #### Returns Rectangle

### Optional _initCachedDisplayObject

_initCachedDisplayObject: (renderer: Renderer) => void

Inherited from PIXI.Container._initCachedDisplayObject

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:10

#### Type declaration

- - (renderer: Renderer): void

  - #### Parameters

    - ##### renderer: Renderer

    #### Returns void

### Optional _initCachedDisplayObjectCanvas

_initCachedDisplayObjectCanvas: (renderer: CanvasRenderer) => void

Inherited from PIXI.Container._initCachedDisplayObjectCanvas

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:14

#### Type declaration

- - (renderer: CanvasRenderer): void

  - #### Parameters

    - ##### renderer: CanvasRenderer

    #### Returns void

### _lastSortedIndex

_lastSortedIndex: number

Inherited from PIXI.Container._lastSortedIndex

- Defined in node_modules/@pixi/display/index.d.ts:592

### _localBounds

_localBounds: Bounds

Inherited from PIXI.Container._localBounds

- Defined in node_modules/@pixi/display/index.d.ts:595

### _mask

_mask: Container | MaskData

Inherited from PIXI.Container._mask

- Defined in node_modules/@pixi/display/index.d.ts:593

### Optional _renderCached

_renderCached: (renderer: Renderer) => void

Inherited from PIXI.Container._renderCached

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:9

#### Type declaration

- - (renderer: Renderer): void

  - #### Parameters

    - ##### renderer: Renderer

    #### Returns void

### Optional _renderCachedCanvas

_renderCachedCanvas: (renderer: CanvasRenderer) => void

Inherited from PIXI.Container._renderCachedCanvas

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:13

#### Type declaration

- - (renderer: CanvasRenderer): void

  - #### Parameters

    - ##### renderer: CanvasRenderer

    #### Returns void

### Optional _trackedPointers

_trackedPointers: {}

Inherited from PIXI.Container._trackedPointers

- Defined in node_modules/@pixi/interaction/index.d.ts:508

#### Type declaration

- ##### [x: number]: InteractionTrackingData

### Optional accessible

accessible: boolean

Inherited from PIXI.Container.accessible

- Defined in node_modules/@pixi/accessibility/index.d.ts:188

### Optional accessibleChildren

accessibleChildren: true

Inherited from PIXI.Container.accessibleChildren

- Defined in node_modules/@pixi/accessibility/index.d.ts:196

### Optional accessibleHint

accessibleHint: string

Inherited from PIXI.Container.accessibleHint

- Defined in node_modules/@pixi/accessibility/index.d.ts:190

### Optional accessiblePointerEvents

accessiblePointerEvents: PointerEvents

Inherited from PIXI.Container.accessiblePointerEvents

- Defined in node_modules/@pixi/accessibility/index.d.ts:195

### Optional accessibleTitle

accessibleTitle: string

Inherited from PIXI.Container.accessibleTitle

- Defined in node_modules/@pixi/accessibility/index.d.ts:189

### Optional accessibleType

accessibleType: string

Inherited from PIXI.Container.accessibleType

- Defined in node_modules/@pixi/accessibility/index.d.ts:194

### alpha

alpha: number

Inherited from PIXI.Container.alpha

- Defined in node_modules/@pixi/display/index.d.ts:585

### Optional buttonMode

buttonMode: boolean

Inherited from PIXI.Container.buttonMode

- Defined in node_modules/@pixi/interaction/index.d.ts:504

### Optional cacheAsBitmap

cacheAsBitmap: boolean

Inherited from PIXI.Container.cacheAsBitmap

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:4

### Optional cacheAsBitmapResolution

cacheAsBitmapResolution: number

Inherited from PIXI.Container.cacheAsBitmapResolution

- Defined in node_modules/@pixi/mixin-cache-as-bitmap/global.d.ts:5

### Readonly children

children: DisplayObject[]

Inherited from PIXI.Container.children

- Defined in node_modules/@pixi/display/index.d.ts:207

### containerUpdateTransform

containerUpdateTransform: () => void

Inherited from PIXI.Container.containerUpdateTransform

- Defined in node_modules/@pixi/display/index.d.ts:211

#### Type declaration

- - (): void

  - #### Returns void

### Optional cull

cull: ContainerCullObject

- Defined in code/spatial-hash.ts:33

### Optional cursor

cursor: string

Inherited from PIXI.Container.cursor

- Defined in node_modules/@pixi/interaction/index.d.ts:503

### displayObjectUpdateTransform

displayObjectUpdateTransform: () => void

Inherited from PIXI.Container.displayObjectUpdateTransform

- Defined in node_modules/@pixi/display/index.d.ts:603

#### Type declaration

- - (): void

  - #### Returns void

### filterArea

filterArea: Rectangle

Inherited from PIXI.Container.filterArea

- Defined in node_modules/@pixi/display/index.d.ts:588

### filters

filters: Filter[]

Inherited from PIXI.Container.filters

- Defined in node_modules/@pixi/display/index.d.ts:589

### Optional getGlobalPosition

getGlobalPosition: (point?: Point, skipUpdate?: boolean) => Point

Inherited from PIXI.Container.getGlobalPosition

- Defined in node_modules/@pixi/mixin-get-global-position/global.d.ts:5

#### Type declaration

- - (point?: Point, skipUpdate?: boolean): Point

  - #### Parameters

    - ##### Optional point: Point

    - ##### Optional skipUpdate: boolean

    #### Returns Point

### Optional hitArea

hitArea: IHitArea

Inherited from PIXI.Container.hitArea

- Defined in node_modules/@pixi/interaction/index.d.ts:502

### Optional interactive

interactive: boolean

Inherited from PIXI.Container.interactive

- Defined in node_modules/@pixi/interaction/index.d.ts:500

### Optional interactiveChildren

interactiveChildren: boolean

Inherited from PIXI.Container.interactiveChildren

- Defined in node_modules/@pixi/interaction/index.d.ts:501

### isMask

isMask: boolean

Inherited from PIXI.Container.isMask

- Defined in node_modules/@pixi/display/index.d.ts:591

### isSprite

isSprite: boolean

Inherited from PIXI.Container.isSprite

- Defined in node_modules/@pixi/display/index.d.ts:590

### Optional name

name: string

Inherited from PIXI.Container.name

- Defined in node_modules/@pixi/mixin-get-child-by-name/global.d.ts:5

### parent

parent: Container

Inherited from PIXI.Container.parent

- Defined in node_modules/@pixi/display/index.d.ts:210

### Optional renderId

renderId: number

Inherited from PIXI.Container.renderId

- Defined in node_modules/@pixi/accessibility/index.d.ts:197

### renderable

renderable: boolean

Inherited from PIXI.Container.renderable

- Defined in node_modules/@pixi/display/index.d.ts:587

### sortDirty

sortDirty: boolean

Inherited from PIXI.Container.sortDirty

- Defined in node_modules/@pixi/display/index.d.ts:209

### sortableChildren

sortableChildren: boolean

Inherited from PIXI.Container.sortableChildren

- Defined in node_modules/@pixi/display/index.d.ts:208

### Optional tabIndex

tabIndex: number

Inherited from PIXI.Container.tabIndex

- Defined in node_modules/@pixi/accessibility/index.d.ts:191

### Optional trackedPointers

trackedPointers: {}

Inherited from PIXI.Container.trackedPointers

- Defined in node_modules/@pixi/interaction/index.d.ts:505

#### Type declaration

- ##### [x: number]: InteractionTrackingData

### transform

transform: Transform

Inherited from PIXI.Container.transform

- Defined in node_modules/@pixi/display/index.d.ts:584

### visible

visible: boolean

Inherited from PIXI.Container.visible

- Defined in node_modules/@pixi/display/index.d.ts:586

### worldAlpha

worldAlpha: number

Inherited from PIXI.Container.worldAlpha

- Defined in node_modules/@pixi/display/index.d.ts:583

## Accessors

### angle

- get angle(): number
- set angle(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:845

  The angle of the object in degrees. 'rotation' and 'angle' have the same effect on a display object; rotation is in radians, angle is in degrees.

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:846

  The angle of the object in degrees. 'rotation' and 'angle' have the same effect on a display object; rotation is in radians, angle is in degrees.

  #### Parameters

  - ##### value: number

  #### Returns any

### height

- get height(): number
- set height(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:385

  The height of the Container, setting this will actually modify the scale to achieve the value set

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:386

  The height of the Container, setting this will actually modify the scale to achieve the value set

  #### Parameters

  - ##### value: number

  #### Returns any

### localTransform

- get localTransform(): Matrix

- - Defined in node_modules/@pixi/display/index.d.ts:793

  Current transform of the object based on local factors: position, scale, other stuff.

  member

    {PIXI.Matrix}

  readonly

  #### Returns Matrix

### mask

- get mask(): Container | MaskData
- set mask(value: Container | MaskData): any

- - Defined in node_modules/@pixi/display/index.d.ts:886

  Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PixiJS a regular mask must be a {@link PIXI.Graphics} or a {@link PIXI.Sprite} object. This allows for much faster masking in canvas as it utilities shape clipping. To remove a mask, set this property to `null`.

  For sprite mask both alpha and red channel are used. Black mask is the same as transparent mask.

  example

    const graphics = new PIXI.Graphics(); graphics.beginFill(0xFF3300); graphics.drawRect(50, 250, 100, 100); graphics.endFill();

    const sprite = new PIXI.Sprite(texture); sprite.mask = graphics;

  todo

    At the moment, PIXI.CanvasRenderer doesn't support PIXI.Sprite as mask.

  member

    {PIXI.Container|PIXI.MaskData|null}

  #### Returns Container | MaskData

- - Defined in node_modules/@pixi/display/index.d.ts:887

  Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PixiJS a regular mask must be a {@link PIXI.Graphics} or a {@link PIXI.Sprite} object. This allows for much faster masking in canvas as it utilities shape clipping. To remove a mask, set this property to `null`.

  For sprite mask both alpha and red channel are used. Black mask is the same as transparent mask.

  #### Parameters

  - ##### value: Container | MaskData

  #### Returns any

### pivot

- get pivot(): ObservablePoint<any>
- set pivot(value: ObservablePoint<any>): any

- - Defined in node_modules/@pixi/display/index.d.ts:821

  The center of rotation, scaling, and skewing for this display object in its local space. The `position` is the projection of `pivot` in the parent's local space.

  By default, the pivot is the origin (0, 0).

  since

    PixiJS 4

  member

    {PIXI.ObservablePoint}

  #### Returns ObservablePoint<any>

- - Defined in node_modules/@pixi/display/index.d.ts:822

  The center of rotation, scaling, and skewing for this display object in its local space. The `position` is the projection of `pivot` in the parent's local space.

  By default, the pivot is the origin (0, 0).

  #### Parameters

  - ##### value: ObservablePoint<any>

  #### Returns any

### position

- get position(): ObservablePoint<any>
- set position(value: ObservablePoint<any>): any

- - Defined in node_modules/@pixi/display/index.d.ts:800

  The coordinate of the object relative to the local coordinates of the parent.

  since

    PixiJS 4

  member

    {PIXI.ObservablePoint}

  #### Returns ObservablePoint<any>

- - Defined in node_modules/@pixi/display/index.d.ts:801

  The coordinate of the object relative to the local coordinates of the parent.

  #### Parameters

  - ##### value: ObservablePoint<any>

  #### Returns any

### rotation

- get rotation(): number
- set rotation(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:837

  The rotation of the object in radians. 'rotation' and 'angle' have the same effect on a display object; rotation is in radians, angle is in degrees.

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:838

  The rotation of the object in radians. 'rotation' and 'angle' have the same effect on a display object; rotation is in radians, angle is in degrees.

  #### Parameters

  - ##### value: number

  #### Returns any

### scale

- get scale(): ObservablePoint<any>
- set scale(value: ObservablePoint<any>): any

- - Defined in node_modules/@pixi/display/index.d.ts:810

  The scale factors of this object along the local coordinate axes.

  The default scale is (1, 1).

  since

    PixiJS 4

  member

    {PIXI.ObservablePoint}

  #### Returns ObservablePoint<any>

- - Defined in node_modules/@pixi/display/index.d.ts:811

  The scale factors of this object along the local coordinate axes.

  The default scale is (1, 1).

  #### Parameters

  - ##### value: ObservablePoint<any>

  #### Returns any

### skew

- get skew(): ObservablePoint<any>
- set skew(value: ObservablePoint<any>): any

- - Defined in node_modules/@pixi/display/index.d.ts:829

  The skew factor for the object in radians.

  since

    PixiJS 4

  member

    {PIXI.ObservablePoint}

  #### Returns ObservablePoint<any>

- - Defined in node_modules/@pixi/display/index.d.ts:830

  The skew factor for the object in radians.

  #### Parameters

  - ##### value: ObservablePoint<any>

  #### Returns any

### width

- get width(): number
- set width(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:378

  The width of the Container, setting this will actually modify the scale to achieve the value set

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:379

  The width of the Container, setting this will actually modify the scale to achieve the value set

  #### Parameters

  - ##### value: number

  #### Returns any

### worldTransform

- get worldTransform(): Matrix

- - Defined in node_modules/@pixi/display/index.d.ts:786

  Current transform of the object based on world (parent) factors.

  member

    {PIXI.Matrix}

  readonly

  #### Returns Matrix

### worldVisible

- get worldVisible(): boolean

- - Defined in node_modules/@pixi/display/index.d.ts:865

  Indicates if the object is globally visible.

  member

    {boolean}

  readonly

  #### Returns boolean

### x

- get x(): number
- set x(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:770

  The position of the displayObject on the x axis relative to the local coordinates of the parent. An alias to position.x

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:771

  The position of the displayObject on the x axis relative to the local coordinates of the parent. An alias to position.x

  #### Parameters

  - ##### value: number

  #### Returns any

### y

- get y(): number
- set y(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:778

  The position of the displayObject on the y axis relative to the local coordinates of the parent. An alias to position.y

  member

    {number}

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:779

  The position of the displayObject on the y axis relative to the local coordinates of the parent. An alias to position.y

  #### Parameters

  - ##### value: number

  #### Returns any

### zIndex

- get zIndex(): number
- set zIndex(value: number): any

- - Defined in node_modules/@pixi/display/index.d.ts:857

  The zIndex of the displayObject.

  If a container has the sortableChildren property set to true, children will be automatically sorted by zIndex value; a higher value will mean it will be moved towards the end of the array, and thus rendered on top of other display objects within the same container.

  member

    {number}

  see

    PIXI.Container#sortableChildren

  #### Returns number

- - Defined in node_modules/@pixi/display/index.d.ts:858

  The zIndex of the displayObject.

  If a container has the sortableChildren property set to true, children will be automatically sorted by zIndex value; a higher value will mean it will be moved towards the end of the array, and thus rendered on top of other display objects within the same container.

  #### Parameters

  - ##### value: number

  #### Returns any

## Methods

### addChild

- addChild<T>(...children: T): T[0]

- Inherited from PIXI.Container.addChild

  - Defined in node_modules/@pixi/display/index.d.ts:229

  Adds one or more children to the container.

  Multiple items can be added like so: `myContainer.addChild(thingOne, thingTwo, thingThree)`

  #### Type parameters

  - #### T: DisplayObject[]

  #### Parameters

  - ##### Rest ...children: T

    The DisplayObject(s) to add to the container

  #### Returns T[0]

  The first child that was added.

### addChildAt

- addChildAt<T>(child: T, index: number): T

- Inherited from PIXI.Container.addChildAt

  - Defined in node_modules/@pixi/display/index.d.ts:237

  Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

  #### Type parameters

  - #### T: DisplayObject<T>

  #### Parameters

  - ##### child: T

    The child to add

  - ##### index: number

    The index to place the child in

  #### Returns T

  The child that was added.

### addListener

- addListener(event: string | symbol, fn: ListenerFn, context?: any): ContainerWithCulling

- Inherited from PIXI.Container.addListener

  - Defined in node_modules/eventemitter3/index.d.ts:33

  #### Parameters

  - ##### event: string | symbol

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns ContainerWithCulling

### calculateBounds

- calculateBounds(): void

- Inherited from PIXI.Container.calculateBounds

  - Defined in node_modules/@pixi/display/index.d.ts:302

  Recalculates the bounds of the container.

  This implementation will automatically fit the children's bounds into the calculation. Each child's bounds is limited to its mask's bounds or filterArea, if any is applied.

  #### Returns void

### destroy

- destroy(options?: boolean | IDestroyOptions): void

- Inherited from PIXI.Container.destroy

  - Defined in node_modules/@pixi/display/index.d.ts:372

  Removes all internal references and listeners as well as removes children from the display list. Do not use a Container after calling `destroy`.

  #### Parameters

  - ##### Optional options: boolean | IDestroyOptions

  #### Returns void

### disableTempParent

- disableTempParent(cacheParent: DisplayObject): void

- Inherited from PIXI.Container.disableTempParent

  - Defined in node_modules/@pixi/display/index.d.ts:763

  Pair method for `enableTempParent`

  #### Parameters

  - ##### cacheParent: DisplayObject

    Actual parent of element

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from PIXI.Container.emit

  - Defined in node_modules/eventemitter3/index.d.ts:27

  Calls each of the listeners registered for a given event.

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### enableTempParent

- enableTempParent(): DisplayObject

- Inherited from PIXI.Container.enableTempParent

  - Defined in node_modules/@pixi/display/index.d.ts:757

  Used in Renderer, cacheAsBitmap and other places where you call an `updateTransform` on root

      const cacheParent = elem.enableTempParent();
      elem.updateTransform();
      elem.disableTempParent(cacheParent);

  #### Returns DisplayObject

  current parent

### eventNames

- eventNames(): (string | symbol)[]

- Inherited from PIXI.Container.eventNames

  - Defined in node_modules/eventemitter3/index.d.ts:12

  Return an array listing the events for which the emitter has registered listeners.

  #### Returns (string | symbol)[]

### getBounds

- getBounds(skipUpdate?: boolean, rect?: Rectangle): Rectangle

- Inherited from PIXI.Container.getBounds

  - Defined in node_modules/@pixi/display/index.d.ts:682

  Calculates and returns the (world) bounds of the display object as a [Rectangle]{@link PIXI.Rectangle}.

  This method is expensive on containers with a large subtree (like the stage). This is because the bounds of a container depend on its children's bounds, which recursively causes all bounds in the subtree to be recalculated. The upside, however, is that calling `getBounds` once on a container will indeed update the bounds of all children (the whole subtree, in fact). This side effect should be exploited by using `displayObject._bounds.getRectangle()` when traversing through all the bounds in a scene graph. Otherwise, calling `getBounds` on each object in a subtree will cause the total cost to increase quadratically as its height increases.

  - The transforms of all objects in a container's subtree and of all ancestors are updated.
  - The world bounds of all display objects in a container's subtree will also be recalculated.

  The `_bounds` object stores the last calculation of the bounds. You can use to entirely skip bounds calculation if needed.

      const lastCalculatedBounds = displayObject._bounds.getRectangle(optionalRect);

  Do know that usage of `getLocalBounds` can corrupt the `_bounds` of children (the whole subtree, actually). This is a known issue that has not been solved. See [getLocalBounds]{@link PIXI.DisplayObject#getLocalBounds} for more details.

  `getBounds` should be called with `skipUpdate` equal to `true` in a render() call. This is because the transforms are guaranteed to be update-to-date. In fact, recalculating inside a render() call may cause corruption in certain cases.

  #### Parameters

  - ##### Optional skipUpdate: boolean

  - ##### Optional rect: Rectangle

  #### Returns Rectangle

  The minimum axis-aligned rectangle in world space that fits around this object.

### getChildAt

- getChildAt(index: number): DisplayObject

- Inherited from PIXI.Container.getChildAt

  - Defined in node_modules/@pixi/display/index.d.ts:265

  Returns the child at the specified index

  #### Parameters

  - ##### index: number

    The index to get the child at

  #### Returns DisplayObject

  The child at the given index, if any.

### Optional getChildByName

- getChildByName(name: string, isRecursive?: boolean): DisplayObject

- Inherited from PIXI.Container.getChildByName

  - Defined in node_modules/@pixi/mixin-get-child-by-name/global.d.ts:10

  #### Parameters

  - ##### name: string

  - ##### Optional isRecursive: boolean

  #### Returns DisplayObject

### getChildIndex

- getChildIndex(child: DisplayObject): number

- Inherited from PIXI.Container.getChildIndex

  - Defined in node_modules/@pixi/display/index.d.ts:251

  Returns the index position of a child DisplayObject instance

  #### Parameters

  - ##### child: DisplayObject

    The DisplayObject instance to identify

  #### Returns number

  The index position of the child display object to identify

### getLocalBounds

- getLocalBounds(rect?: Rectangle, skipChildrenUpdate?: boolean): Rectangle

- Inherited from PIXI.Container.getLocalBounds

  - Defined in node_modules/@pixi/display/index.d.ts:314

  Retrieves the local bounds of the displayObject as a rectangle object.

  Calling `getLocalBounds` may invalidate the `_bounds` of the whole subtree below. If using it inside a render() call, it is advised to call `getBounds()` immediately after to recalculate the world bounds of the subtree.

  #### Parameters

  - ##### Optional rect: Rectangle

  - ##### Optional skipChildrenUpdate: boolean

  #### Returns Rectangle

  The rectangular bounding area.

### listenerCount

- listenerCount(event: string | symbol): number

- Inherited from PIXI.Container.listenerCount

  - Defined in node_modules/eventemitter3/index.d.ts:22

  Return the number of listeners listening to a given event.

  #### Parameters

  - ##### event: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): ListenerFn[]

- Inherited from PIXI.Container.listeners

  - Defined in node_modules/eventemitter3/index.d.ts:17

  Return the listeners registered for a given event.

  #### Parameters

  - ##### event: string | symbol

  #### Returns ListenerFn[]

### off

- off(event: string | symbol, fn?: ListenerFn, context?: any, once?: boolean): ContainerWithCulling

- Inherited from PIXI.Container.off

  - Defined in node_modules/eventemitter3/index.d.ts:44

  #### Parameters

  - ##### event: string | symbol

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns ContainerWithCulling

### on

- on(event: string | symbol, fn: ListenerFn, context?: any): ContainerWithCulling

- Inherited from PIXI.Container.on

  - Defined in node_modules/eventemitter3/index.d.ts:32

  Add a listener for a given event.

  #### Parameters

  - ##### event: string | symbol

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns ContainerWithCulling

### once

- once(event: string | symbol, fn: ListenerFn, context?: any): ContainerWithCulling

- Inherited from PIXI.Container.once

  - Defined in node_modules/eventemitter3/index.d.ts:38

  Add a one-time listener for a given event.

  #### Parameters

  - ##### event: string | symbol

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns ContainerWithCulling

### removeAllListeners

- removeAllListeners(event?: string | symbol): ContainerWithCulling

- Inherited from PIXI.Container.removeAllListeners

  - Defined in node_modules/eventemitter3/index.d.ts:49

  Remove all listeners, or those of the specified event.

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns ContainerWithCulling

### removeChild

- removeChild<T>(...children: T): T[0]

- Inherited from PIXI.Container.removeChild

  - Defined in node_modules/@pixi/display/index.d.ts:272

  Removes one or more children from the container.

  #### Type parameters

  - #### T: DisplayObject[]

  #### Parameters

  - ##### Rest ...children: T

    The DisplayObject(s) to remove

  #### Returns T[0]

  The first child that was removed.

### removeChildAt

- removeChildAt(index: number): DisplayObject

- Inherited from PIXI.Container.removeChildAt

  - Defined in node_modules/@pixi/display/index.d.ts:279

  Removes a child from the specified index position.

  #### Parameters

  - ##### index: number

    The index to get the child from

  #### Returns DisplayObject

  The child that was removed.

### removeChildren

- removeChildren(beginIndex?: number, endIndex?: number): DisplayObject[]

- Inherited from PIXI.Container.removeChildren

  - Defined in node_modules/@pixi/display/index.d.ts:287

  Removes all children from this container that are within the begin and end indexes.

  #### Parameters

  - ##### Optional beginIndex: number

  - ##### Optional endIndex: number

  #### Returns DisplayObject[]

  List of removed children

### removeListener

- removeListener(event: string | symbol, fn?: ListenerFn, context?: any, once?: boolean): ContainerWithCulling

- Inherited from PIXI.Container.removeListener

  - Defined in node_modules/eventemitter3/index.d.ts:43

  Remove the listeners of a given event.

  #### Parameters

  - ##### event: string | symbol

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns ContainerWithCulling

### render

- render(renderer: Renderer): void

- Inherited from PIXI.Container.render

  - Defined in node_modules/@pixi/display/index.d.ts:344

  Renders the object using the WebGL renderer.

  The [_render]{@link PIXI.Container#_render} method is be overriden for rendering the contents of the container itself. This `render` method will invoke it, and also invoke the `render` methods of all children afterward.

  If `renderable` or `visible` is false or if `worldAlpha` is not positive, this implementation will entirely skip rendering. See {@link PIXI.DisplayObject} for choosing between `renderable` or `visible`. Generally, setting alpha to zero is not recommended for purely skipping rendering.

  When your scene becomes large (especially when it is larger than can be viewed in a single screen), it is advised to employ culling to automatically skip rendering objects outside of the current screen. The @pixi-essentials/cull and pixi-cull packages do this out of the box.

  The [renderAdvanced]{@link PIXI.Container#renderAdvanced} method is internally used when when masking or filtering is applied on a container. This does, however, break batching and can affect performance when masking and filtering is applied extensively throughout the scene graph.

  #### Parameters

  - ##### renderer: Renderer

    The renderer

  #### Returns void

### Optional renderCanvas

- renderCanvas(renderer: CanvasRenderer): void

- Inherited from PIXI.Container.renderCanvas

  - Defined in node_modules/@pixi/canvas-renderer/global.d.ts:26

  #### Parameters

  - ##### renderer: CanvasRenderer

  #### Returns void

### setChildIndex

- setChildIndex(child: DisplayObject, index: number): void

- Inherited from PIXI.Container.setChildIndex

  - Defined in node_modules/@pixi/display/index.d.ts:258

  Changes the position of an existing child in the display object container

  #### Parameters

  - ##### child: DisplayObject

    The child DisplayObject instance for which you want to change the index number

  - ##### index: number

    The resulting index number for the child display object

  #### Returns void

### setParent

- setParent(container: Container): Container

- Inherited from PIXI.Container.setParent

  - Defined in node_modules/@pixi/display/index.d.ts:717

  Set the parent Container of this DisplayObject.

  #### Parameters

  - ##### container: Container

    The Container to add this DisplayObject to.

  #### Returns Container

  The Container that this DisplayObject was added to.

### setTransform

- setTransform(x?: number, y?: number, scaleX?: number, scaleY?: number, rotation?: number, skewX?: number, skewY?: number, pivotX?: number, pivotY?: number): ContainerWithCulling

- Inherited from PIXI.Container.setTransform

  - Defined in node_modules/@pixi/display/index.d.ts:732

  Convenience function to set the position, scale, skew and pivot at once.

  #### Parameters

  - ##### Optional x: number

  - ##### Optional y: number

  - ##### Optional scaleX: number

  - ##### Optional scaleY: number

  - ##### Optional rotation: number

  - ##### Optional skewX: number

  - ##### Optional skewY: number

  - ##### Optional pivotX: number

  - ##### Optional pivotY: number

  #### Returns ContainerWithCulling

  The DisplayObject instance

### sortChildren

- sortChildren(): void

- Inherited from PIXI.Container.sortChildren

  - Defined in node_modules/@pixi/display/index.d.ts:291

  Sorts children by zIndex. Previous order is maintained for 2 children with the same zIndex.

  #### Returns void

### swapChildren

- swapChildren(child: DisplayObject, child2: DisplayObject): void

- Inherited from PIXI.Container.swapChildren

  - Defined in node_modules/@pixi/display/index.d.ts:244

  Swaps the position of 2 Display Objects within this container.

  #### Parameters

  - ##### child: DisplayObject

    First display object to swap

  - ##### child2: DisplayObject

    Second display object to swap

  #### Returns void

### toGlobal

- toGlobal<P>(position: IPointData, point?: P, skipUpdate?: boolean): P

- Inherited from PIXI.Container.toGlobal

  - Defined in node_modules/@pixi/display/index.d.ts:699

  Calculates the global position of the display object.

  #### Type parameters

  - #### P: IPointData = Point

  #### Parameters

  - ##### position: IPointData

    The world origin to calculate from.

  - ##### Optional point: P

  - ##### Optional skipUpdate: boolean

  #### Returns P

  A point object representing the position of this object.

### toLocal

- toLocal<P>(position: IPointData, from?: DisplayObject, point?: P, skipUpdate?: boolean): P

- Inherited from PIXI.Container.toLocal

  - Defined in node_modules/@pixi/display/index.d.ts:710

  Calculates the local position of the display object relative to another point.

  #### Type parameters

  - #### P: IPointData = Point

  #### Parameters

  - ##### position: IPointData

    The world origin to calculate from.

  - ##### Optional from: DisplayObject

  - ##### Optional point: P

  - ##### Optional skipUpdate: boolean

  #### Returns P

  A point object representing the position of this object

### updateTransform

- updateTransform(): void

- Inherited from PIXI.Container.updateTransform

  - Defined in node_modules/@pixi/display/index.d.ts:295

  Updates the transform on all children of this container for rendering

  #### Returns void

Generated using TypeDoc